<template>
    <div class="wrapper row" id="eighth_section">
        <!-- <NavSection></NavSection> -->
        <div class="content">
            <h2 class="content-title section-title">{{ local.title[$lang] }}</h2>

            <div class="feedbacks row">
                <div class="feedbacks-item"
                     v-if="currentComment === 1"
                >
                    <img src="/assets/img/shape.svg" alt="">
                    <p class="feedbacks-item-text">
                        {{ local.comments.first.firstPart[$lang] }}
                    </p>
                    <p class="feedbacks-item-text">
                        {{ local.comments.first.secondPart[$lang] }}
                    </p>

                    <div class="feedbacks-item-line"></div>

                    <div class="feedbacks-item-author">
                        <p class="feedbacks-item-author-name">
                            {{ local.comments.first.author[$lang] }}
                        </p>
                        <p class="feedbacks-item-author-position">
                            {{ local.comments.first.position[$lang] }}
                        </p>
                    </div>
                </div>

                <div class="feedbacks-item"
                     v-if="currentComment === 2"
                >
                    <img src="/assets/img/shape.png" alt="">
                    <p class="feedbacks-item-text">
                        Второй
                    </p>
                    <p class="feedbacks-item-text">
                        Отзыв
                    </p>

                    <div class="feedbacks-item-line"></div>

                    <div class="feedbacks-item-author">
                        <p class="feedbacks-item-author-name">
                            Курочкин Иван Николаевич
                        </p>
                        <p class="feedbacks-item-author-position">
                            Директор по маркетингу
                        </p>
                    </div>
                </div>

                <div class="feedbacks-item"
                     v-if="currentComment === 3"
                >
                    <img src="/assets/img/shape.png" alt="">
                    <p class="feedbacks-item-text">
                        Третий
                    </p>
                    <p class="feedbacks-item-text">
                        Отзыв
                    </p>

                    <div class="feedbacks-item-line"></div>

                    <div class="feedbacks-item-author">
                        <p class="feedbacks-item-author-name">
                            Курочкин Иван Николаевич
                        </p>
                        <p class="feedbacks-item-author-position">
                            Директор по маркетингу
                        </p>
                    </div>
                </div>

            </div>

            <div class="dots">
                <span class="dots-dot"
                      :class="(currentComment === 1) ? 'active_dot' : '' "
                      @click="showComment(1)"
                >
                    <i></i>
                </span>
                <span class="dots-dot"
                      :class="(currentComment === 2) ? 'active_dot' : '' "
                      @click="showComment(2)"
                >
                    <i></i>
                </span>
                <span class="dots-dot"
                      :class="(currentComment === 3) ? 'active_dot' : '' "
                      @click="showComment(3)"
                >
                    <i></i>
                </span>
            </div>

        </div>
    </div>
</template>

<script>
    import NavSection from './NavSection.vue';
    import local from '../localisation/eighthSectionLocalisation.js';

    export default {
        data: () => ({
            currentComment: 1,
            local
        }),
        methods: {
            showComment(number) {
                this.currentComment = number;
            },

        },
        components: {
            NavSection,
        },
    };
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
        position: relative;
        background-image: linear-gradient(to left, #31b465, #1c7062);
    }
    .content {
        width: 100%;
        max-width: 1180px;
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        align-content: flex-start;
        padding-bottom: 120px;
        @media(max-width: 620px){
            padding-bottom: 25px;
        }
        &-title {
            width: 100%;
            margin: 140px 0 60px;
            color: #fff;
            text-align: center;
            @media(max-width: 1100px){
                margin-top: 70px;
            }
            @media(max-width: 900px){
                margin: 30px 0 21px;
            }
             @media(max-width: 620px){
                margin: 20px 0 21px;
                font-size: 20px
            }
        }

        .dots {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 50px;
            @media(max-width: 900px){
                margin-top: 27px;
            }
            &-dot {
                width: 30px;
                height: 30px;
                display: flex;
                align-items: center;
                justify-content: center;
                i {
                    display: inline-block;
                    width: 5px;
                    height: 5px;
                    background-color: #fff;
                    border-radius: 50px;
                    transition: all 0.4s;
                }
                &:not(:last-of-type) {
                    margin-right: 5px;
                }
                &:hover {
                    cursor: pointer;
                }
            }
            .active_dot {
                i {
                    box-sizing: border-box;
                    box-shadow: 0 0 0 4px #2c9062,
                    0 0 0 5px #dedc00;
                    background-color: #dedc00;
                }
            }
        }

        .feedbacks {
            min-height: 552px;
            width: 100%;
            display: flex;
            overflow: hidden;
            max-width: 970px;
            border-radius: 5px;
            background-color: #fff;
            padding: 70px 115px 50px;
            @media(max-width: 900px){
                padding: 50px 54px 32px;
                min-height: 440px;
            }
             @media(max-width: 620px){
                padding: 30px 7px 32px;
                min-height: 80vh;

            }
            &-item {
                min-width: 100%;
                max-width: 100%;
                display: flex;
                justify-content: center;
                flex-wrap: wrap;
                align-content: flex-start;
                img {
                    margin-bottom: 54px;
                    @media(max-width: 900px){
                        margin-bottom: 32px;
                    }
                }
                &-text {
                    font-family: OpenSans;
                    font-size: 14px;
                    line-height: 1.71;
                    width: 100%;
                    color: #464d53;
                    text-align: center;
                    @media(max-width: 900px){
                        font-size: 13px;
                    }
                    &:not(:last-of-type) {
                        margin-bottom: 40px;
                        @media(max-width: 900px){
                            margin-bottom: 20px;
                        }
                    }
                }
                &-line {
                    width: 104px;
                    height: 2px;
                    margin: 50px 0;
                    border-radius: 1.5px;
                    background-color: #30b164;
                    @media(max-width: 900px){
                        margin: 35px 0;
                    }
                }
                &-author {
                    width: 100%;
                    &>p {
                        text-align: center;
                        width: 100%;
                    }
                    &-name {
                        width: 248px;
                        height: 30px;
                        font-family: OpenSans;
                        font-size: 18px;
                        line-height: 1.67;
                        color: #464d53;
                        margin-bottom: 12px;
                        @media(max-width: 620px){
                            font-size: 14px;
                        }
                    }
                    &-position {
                        width: 177px;
                        height: 13px;
                        font-family: 'Comfortaa', sans-serif;
                        font-size: 10px;
                        font-weight: bold;
                        letter-spacing: 0.71px;
                        color: #afc3d3;
                        text-transform: uppercase;
                    }
                }
            }
        }
    }
</style>
